# class AnimationTimeline

#### package js.html

#### extended by DocumentTimeline

Available on HTML5

The `AnimationTimeline` interface of the Web Animations API represents the timeline of an animation. This interface exists to define timeline features (inherited by `DocumentTimeline` and future timeline types) and is not itself directly used by developers. Anywhere you see `AnimationTimeline`, you should use `DocumentTimeline` or any other timeline type instead.

Documentation AnimationTimeline by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/AnimationTimeline

### Variables

###

`read onlycurrentTime:Float`

Returns the time value in milliseconds for this timeline or `null` if this timeline is inactive.